/**
 * @file detail.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ---------------------------------------------------------
 * (c) Florian Schmitt / Jan-2013 / All rights reserved. 
 * ---------------------------------------------------------
 * Provides gui content
**/
#ifndef DETAIL_H
#define DETAIL_H
#include <ncurses.h>
#include "../dmxprogram.h"
#include "../dmxgui.h"

/* A key event in active play mode */
void detail_keyevent(int, dmxgui_status_t*);
/* Print active play window */
void detail_printer(WINDOW*, dmxgui_status_t*);
/* print timeline - only internal use and on timer */
void detail_print_steplist(WINDOW*, int, int, long);

#endif /* DETAIL_H */
