/**
 * @file cmdbuf.c
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * A buffer for terminal stuff
 *
 * BE CAREFUL - THIS IS  NOT  READY FOR MULTITHREADING (!)
**/
#ifndef CMDBUF_H
#define CMDBUF_H
#define CMDBUF_BUF_LINES    25
#define CMDBUF_BUF_SIZE    512

/* print something to own console buffer */
void cmdbuf_printf(const char*, ...);
/* get a printable line of the console */
const char* cmdbuf_getline(unsigned int);
/* clear own consoles buffer */
void cmdbuf_clear();

#endif /* CMDBUF_H */
