/**
 * @file programmer.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ---------------------------------------------------------
 * (c) Florian Schmitt / Jan-2013 / All rights reserved. 
 * ---------------------------------------------------------
 * Provides gui content
**/
#ifndef PROGRAMMER_H
#define PROGRAMMER_H
#include <ncurses.h>

/* init */
void programmer_init(int);
/* A key event in active play mode */
void programmer_keyevent(int);
/* Print active play window */
void programmer_printer(WINDOW*);

#endif /* PROGRAMMER_H */
